Package ru.bgcrm.model.user

# Class Group

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.model.base.IdTitleComment
ru.bgcrm.model.user.Group

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comment`, `Id<Integer>`, `IdTitle<Integer>`, `Title`, `TitleWithPath`

public class Group extends IdTitleComment implements TitleWithPath, Cloneable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitleComment

  `comment`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Group()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Group`
  `clone()`
  `int`
  `getArchive()`
  Deprecated.
  `int`
  `getChildCount()`
  `Set<Integer>`
  `getChildSet()`
  `String`
  `getConfig()`
  `ConfigMap`
  `getConfigMap()`
  `int`
  `getParentId()`
  `List<Group>`
  `getPath()`
  `List<Integer>`
  `getPermsetIds()`
  `Set<Integer>`
  `getQueueIds()`
  `String`
  `getTitleWithPath()`
  `void`
  `setArchive(int archive)`
  Deprecated.
  `void`
  `setChildCount(int childCount)`
  `void`
  `setConfig(String config)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setPermsetIds(List<Integer> permsetIds)`
  `void`
  `setQueueIds(Set<Integer> queueIds)`

  ### Methods inherited from class org.bgerp.model.base.IdTitleComment

  `getComment, setComment`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### Group

    public Group()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### getPermsetIds

    public List<Integer> getPermsetIds()

  - ### setPermsetIds

    public void setPermsetIds(List<Integer> permsetIds)

  - ### getQueueIds

    public Set<Integer> getQueueIds()

  - ### setQueueIds

    public void setQueueIds(Set<Integer> queueIds)

  - ### getChildCount

    public int getChildCount()

  - ### setChildCount

    public void setChildCount(int childCount)

  - ### getTitleWithPath

    public String getTitleWithPath()
    Specified by:
      `getTitleWithPath` in interface `TitleWithPath`

  - ### getChildSet

    public Set<Integer> getChildSet()

  - ### getPath

    public List<Group> getPath()

  - ### clone

    public Group clone()
    Overrides:
      `clone` in class `Object`

  - ### getArchive

    @Deprecated public int getArchive()
    Deprecated.

  - ### setArchive

    @Deprecated public void setArchive(int archive)
    Deprecated.